Bug 604500 - Review Request: ibus-input-pad - Input Pad for IBus
Summary: Review Request: ibus-input-pad - Input Pad for IBus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 04:33 UTC by fujiwara
Modified: 2010-07-07 17:51 UTC (History)
4 users (show)

Fixed In Version: ibus-input-pad-0.1.0.20100630-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-07 17:38:40 UTC
Type: ---
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description fujiwara 2010-06-16 04:33:04 UTC
Spec URL: http://fujiwara.fedorapeople.org/ibus/input-pad/ibus-input-pad.spec
SRPM URL: http://fujiwara.fedorapeople.org/ibus/input-pad/srpms/ibus-input-pad-0.1.0.20100611-1.fc13.src.rpm
Description: Input Pad for IBus
This module can enable Input Pad with IBus.

Comment 2 fujiwara 2010-06-21 04:26:40 UTC
Any sponsors?

Comment 3 Parag AN(पराग) 2010-06-21 09:08:04 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2261364
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
fa51b69bd89a53e821b30002287c62eadcaccb66  ibus-input-pad-0.1.0.20100611.tar.gz
fa51b69bd89a53e821b30002287c62eadcaccb66  ibus-input-pad-0.1.0.20100611.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) %description should be
The input-pad engine for IBus platform.

2) Like all other ibus-* engines in Fedora, this should
Requires: ibus

3) you don't need following
BuildRequires: pkgconfig

See a successful koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=2261603 without it.

APPROVED.

Comment 4 Parag AN(पराग) 2010-06-22 08:44:18 UTC
fujiwara is in need of some explanations for above suggestions. therefore I am revoking approval as he seems not satisfied with my suggestions specifically on 2nd suggestion.

Comment 5 fujiwara 2010-06-22 10:39:33 UTC
After I investigated 2) suggestion, I found ibus-libs doesn't have the dependency of ibus.
Now I accepted the 2) suggestion.

1) and 3) seem recommendations but not requirements in Fedora packaging.
http://fedoraproject.org/wiki/PackagingGuidelines#Pkgconfig_Files

Updated the spec file:
http://github.com/fujiwarat/ibus-input-pad/commit/09563be22d1936b1966c19a52b765621beb05a71

Spec URL: http://fujiwara.fedorapeople.org/ibus/input-pad/ibus-input-pad.spec
SRPM URL:
http://fujiwara.fedorapeople.org/ibus/input-pad/srpms/ibus-input-pad-0.1.0.20100611-2.fc13.src.rpm

Comment 6 Parag AN(पराग) 2010-06-23 05:06:11 UTC
Thanks for understanding suggestions. I am getting mixed replies on fedora-devel channel and fedora packaging mailing list like removing BR: pkgconfig is not creating any harm and someone said we should have it.

I am approving new SRPM. If someone sees any problem, please report here.

Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2266521

APPROVED.

Comment 7 fujiwara 2010-06-23 05:30:30 UTC
New Package CVS Request
=======================
Package Name: ibus-input-pad
Short Description: Input Pad for IBus
Owners: fujiwara
Branches: F-12 F-13
InitialCC: i18n-team

Comment 8 Jens Petersen 2010-06-25 08:15:41 UTC
cvs done

Comment 9 Jens Petersen 2010-06-28 05:55:42 UTC
Thanks for this!

Comment 10 fujiwara 2010-06-30 07:41:33 UTC
Most interfaces are committed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2282442

I'll integrate this in f12/f13 tomorrow.

Comment 12 Fedora Update System 2010-07-02 02:05:24 UTC
ibus-input-pad-0.1.0.20100630-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-input-pad-0.1.0.20100630-1.fc13

Comment 13 Fedora Update System 2010-07-02 02:05:29 UTC
ibus-input-pad-0.1.0.20100630-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-input-pad-0.1.0.20100630-1.fc12

Comment 14 Fedora Update System 2010-07-05 22:03:39 UTC
ibus-input-pad-0.1.0.20100630-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-input-pad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-input-pad-0.1.0.20100630-1.fc13

Comment 15 Fedora Update System 2010-07-05 22:07:03 UTC
ibus-input-pad-0.1.0.20100630-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-input-pad'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ibus-input-pad-0.1.0.20100630-1.fc12

Comment 16 Fedora Update System 2010-07-07 17:38:34 UTC
ibus-input-pad-0.1.0.20100630-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-07-07 17:51:08 UTC
ibus-input-pad-0.1.0.20100630-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.